Results 1 to 6 of 6

Thread: How do I update Backtrack 4 kernel?

Hybrid View

  1. #1
    Junior Member
    Join Date
    Apr 2010
    Posts
    30

    Default How do I update Backtrack 4 kernel?

    I guess this is the way to go if you want to have an updated BT4 with the latest kernel

    First of, how to I check what kernel I have on board?

    And how do I update it when a new one is released?

    I have done all apt-get update and apt-get upgrade so far.

    My reason for asking is that I think that a new kernel will allow me to have my Alpha 2000W AWUS036NH wifi card working with backtrack 4

    Please any one?

  2. #2
    Developer
    Join Date
    Mar 2007
    Posts
    6,126

    Default Re: How do I update Backtrack 4 kernel?

    If you look in the hardware section there is a r1 iso with a new kernel
    Last edited by purehate; 05-12-2010 at 02:48 AM.

  3. #3
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: How do I update Backtrack 4 kernel?

    Quote Originally Posted by exeption View Post
    First of, how to I check what kernel I have on board?
    # uname -a


    And how do I update it when a new one is released?

    The testing kernel has been updated in our development repositories. If you want to test it out, you can uncomment the appropriate line in sources.list, and then issue an apt-get update && apt-get dist-upgrade. We ask that you test our new kernel and post your hardware compatibility observations in our forums.
    <<Link to Original post on OFF-SEC

    My reason for asking is that I think that a new kernel will allow me to have my Alpha 2000W AWUS036NH wifi card working with backtrack 4
    I don't believe this card supports injection so if that is what you are after you may be out of luck.

  4. #4
    Junior Member
    Join Date
    Dec 2007
    Posts
    88

    Default Re: How do I update Backtrack 4 kernel?

    I did a fresh install of backtrack4 final. Then proceeded to update the kernel with:

    root@bt:~# apt-get update && apt-get dist-upgrade

    After a few hours, an error message shows up at the end and I'm not sure how to resolve it. Attached is the transcript of the update. (I removed the middle part of the transcript as it was too big to add to this message.)

    Please advise,

    thanks,

    ************************************************** ************

    Get:1 SUN Backtrack Linux Repository pwnsauce Release.gpg [489B]
    Get:2 SUN Backtrack Linux Repository pwnsauce Release [9106B]
    Get:3 SUN Backtrack Linux Repository pwnsauce/main Packages [1525kB
    Get:4 SUN Backtrack Linux Repository pwnsauce/microverse Packages []
    Get:5 SUN Backtrack Linux Repository pwnsauce/macroverse Packages []
    Get:6 SUN Backtrack Linux Repository pwnsauce/restricted Packages []
    Get:7 SUN Backtrack Linux Repository pwnsauce/universe Packages [45
    Get:8 SUN Backtrack Linux Repository pwnsauce/multiverse Packages [
    Fetched 6410kB in 2min43s (39.3kB/s)
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages will be REMOVED:
    libgd2-noxpm openvas-libnasl openvas-server
    The following NEW packages will be installed:
    alien bison cmake debhelper doxygen dvipdfmx gstreamer0.10-plugins-base
    gstreamer0.10-plugins-good gstreamer0.10-x gvfs gvfs-backends html2text
    libaa1 libappconfig-perl libarchive1 libbeecrypt6 libbit-vector-perl
    libcaca0 libcarp-clan-perl libcdio-cdda0 libcdio-paranoia0 libcdio7
    libclass-base-perl libclass-data-inheritable-perl libclass-makemethods-p
    libcucul0 libdate-calc-perl libdnet-raw libdv4 libgd-gd2-noxpm-perl
    libgd2-xpm libgnutls-dev libgraph-perl libgraphviz-perl libgvfscommon0
    libheap-perl libio-stringy-perl libipc-run-perl libipc-shareable-perl
    libjcode-pm-perl libkpathsea4 liblog-dispatch-perl liblog-log4perl-perl
    libneon27 liboil0.3 libole-storage-lite-perl libparams-validate-perl
    libparse-recdescent-perl librpm4.4 libshout3 libsmi2-common libsmi2ldbl
    libsoup2.4-1 libspreadsheet-parseexcel-perl libspreadsheet-writeexcel-pe
    libsql-translator-perl libt1-5 libtasn1-3-dev libtemplate-perl
    libunicode-map-perl libv4l-0 libvisual-0.4-0 libvisual-0.4-plugins
    libwavpack1 libxml-writer-perl linux-headers linux-headers-2.6.34
    linux-image-2.6.34 linux-source-2.6.34 lmodern obex-data-server
    openvas-administrator openvas-cli openvas-manager openvas-scanner
    php-image-canvas php-image-graph php5-gd python-urwid rpm rubygem-mysql
    rubygem-prawn rubygem-rack rubygem-rails snorby snort-rules-default sqlf
    tex-common texlive-base texlive-base-bin texlive-base-bin-doc texlive-co
    texlive-doc-base texlive-latex-base texlive-latex-base-doc uuid-dev xmlt
    The following packages will be upgraded:
    aircrack-ng airoscript autoscan backtrack-default-website
    backtrack-firefox-profile backtrack-menu broadcom-sta crunch cupp
    darkoperator-scripts dnsmap enumiax exploitdb fasttrack fimap fix-script
    framework3 gerix-wifi-cracker-ng gtk-qt-engine-kde3-config hydra isp iw
    jbrofuzz john libapache2-mod-php5 libpcap0.8 libpcap0.8-dev libssl-dev
    libssl0.9.8 linux-firmware linux-image linux-source madwifi-drivers malt
    mdk3 medusa metagoofil nikto nmap openssl openvas-client openvas-librari
    openvas-menu openvas-plugins php-pear php5 php5-cli php5-common php5-mys
    php5-pgsql php5-sqlite propecia pyrit r8187-drivers rake rt2860-sta
    rt2870-sta rt3070-sta rt73-drivers rtpinject rubygems rubygems1.8 set
    setup-mysql sipvicious snort sqlmap sqlninja sqlsus sslstrip theharveste
    ucsniff voiper w3af waffit wapiti wicd wireshark wireshark-common
    79 upgraded, 97 newly installed, 3 to remove and 0 not upgraded.
    Need to get 383MB of archives.
    After this operation, 902MB disk space will be freed.
    Do you want to continue [Y/n]? y
    Get:1 SUN Backtrack Linux Repository pwnsauce/microverse openvas-cl.0.0-bt0 [447kB]
    Get:2 SUN Backtrack Linux Repository pwnsauce/main libgd2-xpm 2.0.3dfsg-3ubuntu1.8.10.1 [211kB]
    Get:3 SUN Backtrack Linux Repository pwnsauce/main libssl-dev 0.9.8ubuntu2.6 [1981kB]
    Get:4 SUN Backtrack Linux Repository pwnsauce/main libssl0.9.8 0.9.1ubuntu2.6 [2921kB]
    Get:5 SUN Backtrack Linux Repository pwnsauce/macroverse libpcap0.8.0.0-bt0 [174kB]
    Get:6 SUN Backtrack Linux Repository pwnsauce/macroverse libpcap0.8-bt0 [105kB]


    ...

    Preparing to replace wicd 1.5.8 (using .../wicd_1.7.0-bt2_all.deb) ...
    Stopping Network connection manager: wicd.
    Unpacking replacement wicd ...
    dpkg: warning - unable to delete old directory `/etc/xdg/autostart': Dire ot empty
    Preparing to replace wireshark 1.0.3-1ubuntu2.2 (using .../wireshark_1.2. 386.deb) ...
    Unpacking replacement wireshark ...
    Preparing to replace wireshark-common 1.0.3-1ubuntu2.2 (using .../wiresha on_1.2.6-bt1_i386.deb) ...
    Unpacking replacement wireshark-common ...
    Preparing to replace backtrack-firefox-profile 0.1-bt4 (using .../backtra fox-profile_0.1-bt5_all.deb) ...
    Unpacking replacement backtrack-firefox-profile ...
    Preparing to replace framework3 3.4-8091-bt0 (using .../framework3_3.4-99 all.deb) ...
    Unpacking replacement framework3 ...
    Preparing to replace gtk-qt-engine-kde3-config 0.1-bt1 (using .../gtk-qt- kde3-config_0.1-bt2_all.deb) ...
    Unpacking replacement gtk-qt-engine-kde3-config ...
    Processing triggers for man-db ...
    Processing triggers for menu ...
    Errors were encountered while processing:
    /var/cache/apt/archives/linux-image-2.6.34_2.6.34-10.00.Custom-bt8_i386.
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  5. #5
    Junior Member
    Join Date
    Jan 2010
    Posts
    80

    Default Re: How do I update Backtrack 4 kernel?

    If you're going to reinstall BackTrack 4 at will, you may as well just stick with the R1 release.
    proud user of backtrack-ng and aircrack-linux

  6. #6
    Junior Member
    Join Date
    Dec 2007
    Posts
    88

    Default Re: How do I update Backtrack 4 kernel?

    Thanks Sagaci,

    I'm downloading the backtrack 4 final, R1 right now....

Similar Threads

  1. Backtrack Kernel Update
    By joker5bb in forum Experts Forum
    Replies: 3
    Last Post: 04-27-2010, 05:36 PM
  2. BackTrack 4 Pre Final Kernel Update
    By muts in forum OLD BackTrack News
    Replies: 38
    Last Post: 03-03-2010, 08:21 PM
  3. Replies: 18
    Last Post: 01-26-2010, 06:09 PM
  4. Issue: BackTrack 4 Pre Final Kernel Update
    By MassAppeal in forum OLD Newbie Area
    Replies: 8
    Last Post: 12-26-2009, 07:32 AM
  5. BackTrack 4 Pre Final Kernel Update
    By iceman_3233 in forum OLD BackTrack 4 (pre) Final
    Replies: 5
    Last Post: 09-09-2009, 02:23 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •